JspHelper (Tomcat API Documentation)
Keywords: org.apache.catalina.manager.JspHelper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.manager
Class JspHelper

    java.lang.Object
      org.apache.catalina.manager.JspHelper

    public class JspHelper

extends java.lang.Object

Helper JavaBean for JSPs, because JSTL 1.1/EL 2.0 is too dumb to to what I need (call methods with parameters), or I am too dumb to use it correctly. :)

Author:
  Cédrik LIME

Method Summary
`static java.lang.String` | `escapeXml(java.lang.Object obj)`
`static java.lang.String` | `escapeXml(java.lang.String buffer)` Performs the following substring replacements (to facilitate output to XML/HTML pages): & -> & < -> < > -> > " -> " ' -> ' See also OutSupport.writeEscapedXml().
`static java.lang.String` | `formatNumber(long number)`
`static java.lang.String` | `getDisplayCreationTimeForSession(Session in_session)`
`static java.lang.String` | `getDisplayInactiveTimeForSession(Session in_session)`
`static java.lang.String` | `getDisplayLastAccessedTimeForSession(Session in_session)`
`static java.lang.String` | `getDisplayTTLForSession(Session in_session)`
`static java.lang.String` | `getDisplayUsedTimeForSession(Session in_session)`
`static java.lang.String` | `guessDisplayLocaleFromSession(Session in_session)` Try to get user locale from the session, if possible.
`static java.lang.String` | `guessDisplayUserFromSession(Session in_session)` Try to get user name from the session, if possible.
`static java.lang.String` | `secondsToTimeString(long in_seconds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### guessDisplayLocaleFromSession

    public static java.lang.String guessDisplayLocaleFromSession(Session in_session)

  Try to get user locale from the session, if possible. IMPLEMENTATION NOTE: this method has explicit support for Tapestry 3 and Struts 1.x

  Parameters:
    `in_session` -
  Returns:
    String

### guessDisplayUserFromSession

    public static java.lang.String guessDisplayUserFromSession(Session in_session)

  Try to get user name from the session, if possible.

  Parameters:
    `in_session` -
  Returns:
    String

### getDisplayCreationTimeForSession

    public static java.lang.String getDisplayCreationTimeForSession(Session in_session)

### getDisplayLastAccessedTimeForSession

    public static java.lang.String getDisplayLastAccessedTimeForSession(Session in_session)

### getDisplayUsedTimeForSession

    public static java.lang.String getDisplayUsedTimeForSession(Session in_session)

### getDisplayTTLForSession

    public static java.lang.String getDisplayTTLForSession(Session in_session)

### getDisplayInactiveTimeForSession

    public static java.lang.String getDisplayInactiveTimeForSession(Session in_session)

### secondsToTimeString

    public static java.lang.String secondsToTimeString(long in_seconds)

### escapeXml

    public static java.lang.String escapeXml(java.lang.Object obj)

### escapeXml

    public static java.lang.String escapeXml(java.lang.String buffer)

  Performs the following substring replacements (to facilitate output to XML/HTML pages): & -> & < -> < > -> > " -> " ' -> ' See also OutSupport.writeEscapedXml().

### formatNumber

    public static java.lang.String formatNumber(long number)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.